> ## Documentation Index
> Fetch the complete documentation index at: https://docs.entropi.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Profile

> Returns a single profile by profileID



## OpenAPI

````yaml GET /v1/profiles/getOne
openapi: 3.0.1
info:
  title: Entropi API
  description: A guide to Entropi's public APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://dev.entropi.app
security:
  - bearerAuth: []
paths:
  /v1/profiles/getOne:
    get:
      description: Returns a single profile by profileID
      parameters:
        - name: profileID
          in: query
          description: The profileID to retrieve
          required: true
          schema:
            type: string
      responses:
        '200':
          description: API Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    $ref: '#/components/schemas/Profile'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Profile:
      type: object
      properties:
        profileID:
          type: string
          description: ''
        productIDs:
          type: array
          description: >-
            List of productIDs for which this Customer has participate in
            interviews
          items:
            type: string
        firstName:
          type: string
          description: Customer's first name
        lastName:
          type: string
          description: Customer's last name
        metadata:
          type: object
          description: Metadata associated with this customer profile
          properties:
            source:
              type: string
              description: >-
                Source of the profile. Can be Human derived, or AI generated
                (Coming soon)
            acquired_date:
              type: string
              description: Date customer profile was acquired
            last_interviewed:
              type: string
              description: Date customer profile was last interviewed
            interview_count:
              type: integer
              description: Number of interviews this customer has completed
            sentiment:
              type: integer
              description: >-
                Numerical grade of the customer's sentiment towards the product
                on a scale from 1 - 5, with 5 representing utmost satisfaction
        details:
          type: object
          description: Customer details including demographics, key values, etc.
          properties:
            occupation:
              type: string
              description: Customer's occupation, sourced from interview onboarding steps
            location:
              type: string
              description: 'Customer''s location - Ex: Los Angeles, CA, USA'
            background:
              type: string
              description: Background information about the customer
            productAlignment:
              type: string
              description: The customer's alignment and core feedback on the product
            key_values:
              type: array
              description: List of key values the customer looks for in similar products
              items:
                type: string
            interests:
              type: array
              description: List of customer's interests, revealed by their responses
              items:
                type: string
        history:
          type: array
          description: >-
            List of past interviews/simulations this customer profile has
            participated in
          items:
            type: object
            properties:
              type:
                type: string
                description: Participation method - link or simulation (coming soon)
              id:
                type: string
                description: ID of Invite or simulation
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````